cross_product< T, Vector > Struct Template Reference

`#include <mia/2d/vector.hh>`

## Public Types

typedef T | return_type

## Static Public Member Functions

static return_type | apply (const Vector< T > &a, const Vector< T > &b)

## Detailed Description

template<typename T, template< typename > class Vector>
struct cross_product< T, Vector >

Definition at line 501 of file 2d/vector.hh.

## Member Typedef Documentation

## return_type

template<typename T, template< typename > class Vector>

typedef T cross_product< T, Vector >::return_type

Definition at line 502 of file 2d/vector.hh.

## Member Function Documentation

## apply()

template<typename T, template< typename > class Vector>

return_type cross_product< T, Vector >::apply | ( | const Vector< T > & | a,
|  | const Vector< T > & | b )

inline static

Definition at line 503 of file 2d/vector.hh.

Referenced by cross().

The documentation for this struct was generated from the following file:

- 2d/vector.hh